From 5d3053ea78b349b81b7a562974ad78f93d169791 Mon Sep 17 00:00:00 2001
From: Jaroslaw Staniek <staniek@kde.org>
Date: Tue, 16 Jun 2020 21:59:12 +0200
Subject: [PATCH] Fix build with GCC 10 (make KReportGroupTracker use C++ file)

BUG:422886
CCMAIL:adam@piggz.co.uk

FIXED-IN:3.2.1
---
 src/CMakeLists.txt                            |  5 +---
 .../scripting/KReportGroupTracker.cpp         | 26 +++++++++++++++++++
 src/renderer/scripting/KReportGroupTracker.h  | 25 +++++++++++++++---
 3 files changed, 48 insertions(+), 8 deletions(-)
 create mode 100644 src/renderer/scripting/KReportGroupTracker.cpp

diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
index 1cf0b389..65bcf6e5 100644
--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -106,6 +106,7 @@ set(kreport_TARGET_INCLUDE_DIRS
 
 if(KREPORT_SCRIPTING)
     list(APPEND kreport_LIB_SRCS
+        renderer/scripting/KReportGroupTracker.cpp
         renderer/scripting/KReportScriptHandler.cpp
         renderer/scripting/KReportScriptConstants.cpp
         renderer/scripting/KReportScriptDebug.cpp
@@ -133,10 +134,6 @@ if(KREPORT_SCRIPTING)
         items/text/KReportScriptText.cpp
     )
 
-    qt_wrap_cpp(KReport kreport_LIB_SRCS
-        renderer/scripting/KReportGroupTracker.h
-    )
-
     list(APPEND kreport_INCLUDE_DIRS
         ${CMAKE_CURRENT_SOURCE_DIR}/renderer/scripting
     )
diff --git a/src/renderer/scripting/KReportGroupTracker.cpp b/src/renderer/scripting/KReportGroupTracker.cpp
new file mode 100644
index 00000000..9274d4a5
--- /dev/null
+++ b/src/renderer/scripting/KReportGroupTracker.cpp
@@ -0,0 +1,26 @@
+/* This file is part of the KDE project
+ * Copyright (C) 2015 by Adam Pigg (adam@piggz.co.uk)
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Lesser General Public
+ * License as published by the Free Software Foundation; either
+ * version 2.1 of the License, or (at your option) any later version.
+ *
+ * This library is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+ * Lesser General Public License for more details.
+ *
+ * You should have received a copy of the GNU Lesser General Public
+ * License along with this library.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
+#include "KReportGroupTracker.h"
+
+KReportGroupTracker::KReportGroupTracker()
+{
+}
+
+KReportGroupTracker::~KReportGroupTracker()
+{
+}
diff --git a/src/renderer/scripting/KReportGroupTracker.h b/src/renderer/scripting/KReportGroupTracker.h
index e434e05a..4c0852ea 100644
--- a/src/renderer/scripting/KReportGroupTracker.h
+++ b/src/renderer/scripting/KReportGroupTracker.h
@@ -1,3 +1,20 @@
+/* This file is part of the KDE project
+ * Copyright (C) 2015 by Adam Pigg (adam@piggz.co.uk)
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Lesser General Public
+ * License as published by the Free Software Foundation; either
+ * version 2.1 of the License, or (at your option) any later version.
+ *
+ * This library is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+ * Lesser General Public License for more details.
+ *
+ * You should have received a copy of the GNU Lesser General Public
+ * License along with this library.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
 #ifndef KREPORTGROUPTRACKER_H
 #define KREPORTGROUPTRACKER_H
 
@@ -7,16 +24,16 @@
 /*!
  * @brief Keeps track of groups as the data for the group changes
  */
-class KREPORT_EXPORT KReportGroupTracker : public QObject {
+class KREPORT_EXPORT KReportGroupTracker : public QObject
+{
     Q_OBJECT
 
 protected:
-    KReportGroupTracker() {}
-    ~KReportGroupTracker() override{}
+    KReportGroupTracker();
+    ~KReportGroupTracker() override;
 
 public:
     Q_SLOT virtual void setGroupData(const QMap<QString, QVariant> &groupData) = 0;
 };
 
 #endif // KREPORTGROUPTRACKER_H
-
-- 
GitLab

